Added update script installation for usb.ids
authorgobo72 <gobo72@364a67c3-989e-7be9-548d-dae8560ea662>
Fri, 29 Oct 2010 19:16:02 +0000 (19:16 +0000)
committergobo72 <gobo72@364a67c3-989e-7be9-548d-dae8560ea662>
Fri, 29 Oct 2010 19:16:02 +0000 (19:16 +0000)
stage3/cis-usbutils [new file with mode: 0755]
stage3/stage3-install

diff --git a/stage3/cis-usbutils b/stage3/cis-usbutils
new file mode 100755 (executable)
index 0000000..80ad22d
--- /dev/null
@@ -0,0 +1,37 @@
+#!/bin/bash
+set -o errexit
+
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE}
+
+cd ${LFS_TMP}/${PACKAGE}-build
+../${PACKAGE}/configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --disable-zlib \
+    ${CONFIGURE_OPTS}
+make
+make install
+install -v -m755 update-usbids.sh /usr/sbin/update-usbids
+ldconfig
+
+# Addition to /etc/fcron/fcrontab
+#string_add "# Run update-usbids every day" /etc/fcron/fcrontab
+#string_add "&mail(false) * 3 * * * /usr/sbin/update-usbids" /etc/fcron/fcrontab
+
+# Update database
+/usr/sbin/update-usbids
+
+exit $?
index 5c0f6b1..4f7a4c5 100755 (executable)
@@ -28,7 +28,7 @@ ipkg_ac    ${WHICH}
 ipkg_cust  ${PCIUTILS} cis-pciutils
 ipkg_cust  ${LIBUSB} cis-libusb
 ipkg_ac    ${LIBUSB_COMPAT}
-ipkg_ac    ${USBUTILS} --disable-zlib
+ipkg_cust  ${USBUTILS} cis-usbutils
 ipkg_cust  ${REISERFSPROGS} cis-reiserfsprogs
 ipkg_cust  ${NET_TOOLS} cis-net-tools
 ipkg_cust  ${DHCP} cis-dhcp